### Method

# FwupdPlugin BiosSettings register_attr

since: 2.0.20

#### Declaration [src]

    gboolean
    fu_bios_settings_register_attr (
      FuBiosSettings* self,
      FwupdBiosSetting* attr,
      GError** error
    )

#### Description [src]

Registers a BIOS setting that was created by a plugin. This is a public API for plugins to register custom BIOS settings.

Available since: 2.0.20

#### Parameters

`attr`

  Type: `FwupdBiosSetting`

  A `FwupdBiosSetting`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the setting was registered successfully.